- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSnLNodeErf Class Reference

The OSnLNodeErf Class. More...

`#include <OSnLNode.h>`

Inheritance diagram for OSnLNodeErf:

[legend]
Collaboration diagram for OSnLNodeErf:

[legend]
List of all members.

## Public Member Functions
| OSnLNodeErf ()
| default constructor.
| ~OSnLNodeErf ()
| default destructor.
virtual std::string | getTokenName ()
virtual double | calculateFunction (double *x)
virtual OSnLNode * | cloneOSnLNode ()
virtual double | constructADTape (std::map< int, int > *ADIdx, std::vector< double > *XAD)

## Detailed Description

The OSnLNodeErf Class.

Author:
  Horand Gassmann, Jun Ma, Kipp Martin,

Version:
  1.0, 10/05/2005

Since:
  OS1.0

Remarks:
  The in-memory representation of the OSnL element <ln>

Definition at line 1160 of file OSnLNode.h.

## Constructor & Destructor Documentation

OSnLNodeErf::OSnLNodeErf | ( |  | ) |

default constructor.

Definition at line 1411 of file OSnLNode.cpp.

References OSnLNode::inodeInt, OSnLNode::inodeType, and OSnLNode::m_mChildren.

Referenced by cloneOSnLNode().

OSnLNodeErf::~OSnLNodeErf | ( |  | ) |

default destructor.

Definition at line 1421 of file OSnLNode.cpp.

References OSnLNode::m_mChildren.

## Member Function Documentation

std::string OSnLNodeErf::getTokenName | ( |  | ) | `[virtual]`

Returns:
  the value of operator name

Implements OSnLNode.

Definition at line 1433 of file OSnLNode.cpp.

double OSnLNodeErf::calculateFunction | ( | double * | x | ) | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1437 of file OSnLNode.cpp.

References OSnLNode::m_dFunctionValue, and OSnLNode::m_mChildren.

OSnLNode * OSnLNodeErf::cloneOSnLNode | ( |  | ) | `[virtual]`

Create or clone a node of this type. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1467 of file OSnLNode.cpp.

References OSnLNodeErf().

virtual double OSnLNodeErf::constructADTape | ( | std::map< int, int > * | ADIdx,
|  | std::vector< double > * | XAD |
| ) |  |  | `[virtual]`

Create the AD tape to be evaluated by AD. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Returns:
  the expression tree.

Implements OSnLNode.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.cpp